#!/bin/bash


AGENT_EXE=OptITAgent

#Defaults
PLAYERS=11
GOALIE="yes"
SERVER=localhost
TEAM="ATH_2002"
PORT=6000
NAME="a"
OUT=""

HELP="\n
  --server=SERVERNAME ($SERVER)\n
  --port=PORT ($PORT)\n
  --team=TEAMNAME ($TEAM)\n
  --players=TOTAL_NO_OF_PLAYERS ($PLAYERS)\n
  -nogoalkeeper | -ng\n
  -nosleep | -ns   Don't sleep between agent invocation.\n
"

while [ $# -gt 0 ]; do
  ARG=`expr "$1" : '[^=]*=\(.*\)'`
  case $1 in
    --server=*)
      SERVER=$ARG
      ;;
    --port=*)
      PORT=$ARG
      ;;
    --team=*)
      TEAM=$ARG
      ;;
    --players=*)
      PLAYERS=$ARG
      ;;
    -nogoalkeeper|-ng)
      GOALIE=no
      ;;
    -nosleep|-ns)
      NOSLEEP=yes
      ;;
    --help)
      echo -e $HELP
      exit
      ;;
    *)
      echo Illegal option $1
      $0 --help
      exit -1
      ;;
  esac
  shift
done

PLAYER=1;
while [ "$PLAYER" -le $PLAYERS ]; do
  if [ "$GOALIE" = "yes" -a "$PLAYER" -eq 1 ]; then
    echo Starting goalkeeper
    GOALIE_OPTION=-goalie
  else
    echo Strating player $PLAYER
    GOALIE_OPTION=""
  fi
  echo $AGENT_EXE $GOALIE_OPTION -host $SERVER -port $PORT -team \"$TEAM\"
  OUT="$NAME""$PLAYER"".out"
  $AGENT_EXE $GOALIE_OPTION -host $SERVER -port $PORT -team "$TEAM" > $OUT &
  [ "$NOSLEEP" = "yes" ] || ( [ "$(($PLAYER % 2))" = "0" ] && sleep 1 )
  PLAYER=$(($PLAYER + 1))
done
